summaryrefslogtreecommitdiffstats
path: root/libraries/libnet/libnet.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/libnet/libnet.SlackBuild')
-rw-r--r--libraries/libnet/libnet.SlackBuild14
1 files changed, 6 insertions, 8 deletions
diff --git a/libraries/libnet/libnet.SlackBuild b/libraries/libnet/libnet.SlackBuild
index 0dc2bdf28f..cb402cfc8f 100644
--- a/libraries/libnet/libnet.SlackBuild
+++ b/libraries/libnet/libnet.SlackBuild
@@ -8,16 +8,14 @@
# - remove CVS directories from source tree and miscellaneous script cleanup
PRGNAM=libnet
-VERSION=${VERSION:-1.1.4}
+VERSION=${VERSION:-1.1.5}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -65,12 +63,12 @@ CFLAGS="$SLKCFLAGS" \
--build=$ARCH-slackware-linux
make
-make install-strip DESTDIR=$PKG
+make install DESTDIR=$PKG
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
cp -a \